<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetFolderVar Method (IEdmBatchUpdate2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUpdate2 Interface : SetFolderVar Method (IEdmBatchUpdate2)

Visual Basic
C#
C++/CLI

lFolderID
  ID of folder to which to write the card variable

lVariableID
  ID of folder card variable to update

poValue
  New value of the folder card variable

lEdmBatchFlags
  Combination of EdmBatchFlags bits

Adds a folder card variable to the batch of variables to update.

# Syntax

Visual Basic |
--- | ---

    Sub SetFolderVar( _
       ByVal lFolderID As System.Integer, _
       ByVal lVariableID As System.Integer, _
       ByRef poValue As System.Object, _
       Optional ByVal lEdmBatchFlags As System.Integer _
    )

C# |
--- | ---

    void SetFolderVar(
       System.int lFolderID,
       System.int lVariableID,
       ref System.object poValue,
       System.int lEdmBatchFlags
    )

C++/CLI |
--- | ---

    void SetFolderVar(
    &   System.int lFolderID,
    &   System.int lVariableID,
    &   System.Object^% poValue,
    &   System.int lEdmBatchFlags
    )

#### Parameters

lFolderID
  ID of folder to which to write the card variable
lVariableID
  ID of folder card variable to update
poValue
  New value of the folder card variable
lEdmBatchFlags
  Combination of EdmBatchFlags bits

# Example

See the IEdmBatchUpdate2 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUpdate2 Interface
IEdmBatchUpdate2 Members

# Availability

SOLIDWORKS PDM Professional Version 6.3